import { JavaObject } from '../../../java/lang/JavaObject';
import { GEAbschlussFach } from '../../../core/data/abschluss/GEAbschlussFach';
import { List } from '../../../java/util/List';
export declare class GEAbschlussFaecher extends JavaObject {
    schuljahr: number;
    abschnitt: number;
    jahrgang: String | null;
    faecher: List<GEAbschlussFach>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GEAbschlussFaecher;
    static transpilerToJSON(obj: GEAbschlussFaecher): string;
    static transpilerToJSONPatch(obj: Partial<GEAbschlussFaecher>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_abschluss_GEAbschlussFaecher(obj: unknown): GEAbschlussFaecher;
